EDIT - bug #8310

Issues to solve in E+M shapefile
05/28/2019 02:11 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: geotools - map service Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal Found in Version:

Description

¢ add Kosovo (Yu(K) or Ko) and Serbia (Se) as area (without parent information) see #3908#note-14 DONE
¢ add parent information to Si(M) and Si(S) => parent: Si DONE

Add explicit areas to all parent areas to avoid showing borders if only parent area has data.

1. This needs to be done for all parent areas in the E+M Areas vocabulary (=> term editor) and DONE
2. for parent areas without explicit sub areas like Cc, Tcs, Bt, SM (still needs discussion with ERS if this is wanted ==> ERS: "ja
bitte", see comment #8310#note-14 below)

.... Still to do:
Create parent area polygons

¢ Baltic states (Estonia, Latvia, Lithuania) and Kaliningrad region [ee13fb74-f3ac-46b1-9f23-6a25ac504446): Bt = Es + Lt + La +
Rf(K) - DONE

e Caucasia (Ab + Ar + Gg + Rf(CS)) [05b0dd06-30f8-477d-bf4c-30d9def56320]: Cc = Ar + Ab(A) + Ab(N) + Gg(A) + Gg(D) +
Gg(G) + Rf(CS) - DONE

¢ Former Czechoslovakia [2ada45f0-c7cc-4026-a8b1-b816971f0753]: Cz = Cs + Sk - DONE

e Israel, Palestine and Jordan [9351b972-0c0b-4a97-87b1-4cc11e67d21e]: IJ = Ir + Jo - DONE

e Former Yugoslavia (former) [bd5e6833-7e0e-41a8-83d6-149a31f2ce05]: Ju = BH + Ct + Mk + Sl + Sr + Cg + Sr + Ko + Se -->
see also PARENT Area in mapefile - DONE

¢ Serbia, with Kosovo and Montenegro [ac360fc1-30f4-444a-92eb-b55bf98b8e97]: SM = Sr + Cg - DONE

e Lebanon-Syria [f7bfdae0-3dd9-4fc4-9b0b-0bf2030b94031]: LS = Le + Sy - DONE

¢ Russia [4b6bdfee-2bcb-4638-99cf-0f9612fa4787]: Rf = Rf(A) + Rf(C) + Rf(CS) + Rf(E) + Rf(K) + Rf(N) + Rf(NW) + Rf(S) -
DONE

¢ South Caucasus [904c3980-b98d-422e-a195-95f4f41fc734]: Tcs = Ar + Ab(A) + Ab(N) + Gg(A) + Gg(D) + Gg(G) - DONE

¢ Azerbaijan, with Nakhchivan: Ab = Ab(A) + Ab (N) - DONE

Rename
e Crimea from Uk(K) to Cm - DONE
Remove

o It = It(S) + It(V) + It(l) ==> remove It(S) + It(V) + It(l)
e duplicate Hb(E), Hb(N) - DONE

Afterfixing-this-ticketadaptthe-technical-annetationsfor therespeetive-areas: Once the shapefile contains all these areas the web

service bases import can be uses:
http://test.e-taxonomy.eu/cdmserver/euromed/ext/edit/mapServiceParameters/mapShapeFileToNamedAreas
.Jjson?localFile=/home/developer/euromed_2013.csv&idSearchField=EMAREA&wmsLayerName=euromed_2013&vo
cabularyUuid=625a4962-c211-4597-816e-5804083efe26

Links for testing areas in server:

http://edit.africamuseum.be/edit_wp5/vi.2/areas.php?l=euromed 2013&ad=euromed_2013%3Aparent:a:Bt&as=a:add3c7,,1&ms=50
0&bbox=-10,20,40,60

http://edit.africamuseum.be/geoserver/web/
https://dev.e-taxonomy.eu/redmine/issues/8310#note-14
http://edit.africamuseum.be/edit_wp5/v1.2/areas.php?l=euromed_2013&ad=euromed_2013%3Aparent:a:Bt&as=a:add3c7,,1&ms=500&bbox=-10,20,40,60
http://edit.africamuseum.be/edit_wp5/v1.2/areas.php?l=euromed_2013&ad=euromed_2013%3Aparent:a:Bt&as=a:add3c7,,1&ms=500&bbox=-10,20,40,60
http://edit.africamuseum.be/geoserver/web/

Related issues:

Related to EDIT - task #9161: E+M shapefile with Kaukasus regions Rejected
Related to EDIT - bug #4409: fallback areas are not adressable in the shape file Closed
Related to EDIT - bug #9367: E+M shapefile Baltic subarea borders always visi... New
Related to EDIT - feature request #5050: revise the subAreaPreference rule fo... Closed
Related to EDIT - feature request #9502: Implement subarea preference rule an... Resolved
Copied from EDIT - bug #9486: Fallback areas not handled in area hierarchy ar... Duplicate
History

#3 - 05/28/2019 02:14 PM - Andreas Miuller

- Description updated

#4 - 05/28/2019 04:37 PM - Andreas Miuller

- Description updated

#5 - 11/07/2019 02:51 PM - Andreas Kohlbecker

- Tags changed from euro+med to euro+med, map

#6 - 06/24/2020 08:45 AM - Andreas Kohlbecker
- Priority changed from Priority14 to Highest

- Target version changed from Euro+Med Portal Release to Release 5.18

#7 - 06/24/2020 10:31 AM - Andreas Miiller

- Description updated

#8 - 07/02/2020 01:17 PM - Andreas Kohlbecker

shapefiles can be downloaded from http://download.geofabrik.de/europe.html

#10 - 07/03/2020 04:17 PM - Andreas Kohlbecker

- Description updated

#11 - 07/03/2020 04:18 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- % Done changed from 0 to 40

#12 - 07/20/2020 05:53 PM - Andreas Kohlbecker
- Description updated

#13 - 07/20/2020 05:55 PM - Andreas Kohlbecker
- File picture346-1.png added
Andreas Kohlbecker in email from Freitag, 10. Juli 2020 11:45:03:

Betrachten wir zum Beispiel den Fall Transcaucasia (Azerbaijan, Armenia, and Georgia) also Tcs - nicht mit TCS, Taxon Concept Schema
verwechseln ! ;-)

Zu Tcs gehoren Ar, Ab(A), Ab(N), Gg(A), Gg(D), Gg(G). Sollte fir Transcaucasia nicht auch ein gemeinsames Polygon geschaffen werden, so dass
bei Tcs nicht wir hier im Beispiel Landergrenzen angezeigt werden :
http://download.geofabrik.de/europe.html

Das wirde dann auch andere Falle betreffen.

Viele GruB3e
Andreas

#14 - 07/20/2020 05:56 PM - Andreas Kohlbecker

Hallo,

ja, wenn flr Transcaucasia (Tcs) ein gemeinsames Polygon ohne Landergrenzen geschaffen werden kann, ist das sinnvoll, weil dann klar ist, dass
das Taxon irgendwo in Tcs vorkommt (also mdglicherweise nur in einem oder wenigen, aber nicht in allen Unterarealen). Mit angezeigten Grenzen
wird mdglicherweise félschlich suggeriert, dass das Taxon in sémtlichen Teilarealen tatséchlich vorkommt, obwohl die Angabe Tcs das nicht hergibt.

Wir hatten kirzlich so einen Fall fir Ex-Jugoslawien, der tatsachlich fiir Missverstédndnisse gesorgt hat.

Viele Grif3e,
Eckhard

#15 - 07/20/2020 05:59 PM - Andreas Kohlbecker
- Description updated

#16 - 07/20/2020 06:00 PM - Andreas Kohlbecker
- Description updated

#17 - 07/20/2020 06:00 PM - Andreas Kohlbecker
- Description updated

#18 - 07/20/2020 06:01 PM - Andreas Kohlbecker

- Description updated

#19 - 07/20/2020 06:01 PM - Andreas Kohlbecker

- Description updated

#20 - 07/21/2020 03:23 PM - Andreas Kohlbecker

- Description updated

#21 - 07/21/2020 03:41 PM - Andreas Kohlbecker
[Eckard wrote:]

Hallo Andreas,

also, ich denke nicht, dass die Kartenanzeige noch sehr im Fluss und haufigen Verédnderungen unterworfen sein wird.

Ein Problem fallt mir allerdings noch ein: die Krim, das frihere Uk(K), ist ja jetzt ein eigenes Areal, Cm, und damit eigentlich kein Unterareal von Uk
mehr. Uk(U) ist jetzt das einzige Unterareal von Uk. Kénnt ihr mal schauen, was wir da im Moment fiir eine Regel haben, und ob die noch sinnvoll ist?
Auch hier gibt es ja ein Nebeneinander von alten und neuen Daten, was immer wieder zu Problemen flhren kann.

Eine kurze Ubersicht:

o Uk: umfasst Ukraine und die Krim, das Uberareal sollte ohne Grenzen angezeigt werden und nur dann, wenn es keine Angaben fiir Unterareale
Uk(U) oder Uk(K)/Cm gibt -- vielleicht muss man dieses Uberareal beibehalten, obwohl eigentlich veraltet, da es ja Daten dafir gibt?

e Uk(U): umfasst nur die Ukraine ohne die Krim

¢ Uk(K): umfasst nur die Krim-Halbinsel (altere Daten, wurden die schon auf Cm gemappt?)

* Cm: deckungsgleich mit Uk(K), umfasst ebenfalls nur die Krim-Halbinsel (neuere Daten)
Damit wollen wir eine politische Zurodnung der Krim vermeiden. Ist auch nicht ungewdhnlich, denn Sardinien oder Sizilien sind ja auch keine
Unterareale von ltalien, Kreta nicht von Griechenland, Korsika nicht von Frankreich, sondern rein geographisch definierte Gebiete.
Allerdings zeigt sich erst beim Testen, ob alles dann auch so aussieht wie gewiinscht. Oft haben wir erst im Nachhinein gesehen, dass an irgendeiner
Stelle ein (Denk-)fehler gemacht wurde, mich selbst natiirlich nicht ausgeschlossen. Ich kann also nicht garantieren, dass nach der Implementierung
noch Anpassungen notwendig sein werden, die ich jetzt nicht vorhersehen kann.
Aber grundsatzlich andert sich an der jetzt besprochenen Vorgehensweise, Arealumgrenzung etcetera in absehbarer Zeit nichts.
Viele GruR3e, Eckhard
#22 - 07/21/2020 03:41 PM - Andreas Kohlbecker
Hallo,
zu den Arealen in den Shapefiles:
ich denke, grundsatzlich ist das jetzt richtig. Es sollte fir alle Areale, die nicht explizit ausgeschlossen sind von der Anzeige, Areale im Shapefile
geben. Ausgeschlossen sind meines Wissens Rs mit Unterarealen (former Sovietunion) und Kasachstan in Europa. Wobei dieses kein ,hidden area“
Marker hat. Eckhard, stimmt es, dass Kasachstan in Europa ausgeschlossen ist oder gibt es doch Daten, die angezeigt werden. Ich weil3, dass wir
das mal mit einem Uberraschenden Ergebnis diskutiert hatten.
Zur Benennung:
Krim hat im CDM schon langer das Kirzel Cm. Das muss also nur noch im Mapping/Shapefile angepasst werden, falls noch nicht geschehen.
Zu der Arealhierarchie:

Fir das Shapefile ist die glaube ich nicht so wichtig, oder sind die Areale da in einer Hierarchie oder Layern oder so was integriert, Andreas?

Insofern ist das primér eine Frage der textuellen Darstellung fr die Kurz- und Langform und von Geographischen Anfragen. Das hatte ich gestern
schon erwéhnt.

Im CDM lassen sich die Hierarchien ohne Aufwand verandern, das brauchen wir also nicht zwingend jetzt diskutieren, wenn es fur die Shapefiles
nicht relevant ist. Da wiirde ich eher mal eine eigene Session draus machen, in der wir miindlich besprechen, wie wir mit den vielfaltigen Hierarchien
umgehen, also v.a. mit >2 Hierarchiestufen und mit Hierarchien mit doppelter Zuordnung (z.B: Cm zu Uk und Rf).

Zur Krim:

Kann es sein, dass wir in Zukunft (oder aus der alteren Vergangenheit von vor 1959) auch ein Areal Rf mit Krim brauchen? Falls ja, sollten wir es jetzt
schon mal anlegen, entsprechend dem Uk Areal, welches Uk+Krim beinhaltet.

Zusatzliche Areale:

Hier fallen mir nur noch die Kaukasusareale ein. Die Daten missen ja auch noch in die zentrale Datenbank integriert werden. Dort wurden ja Daten
fur kleinteiligere Areale eingegeben. Ich weil3 nicht mehr, was wir da besprochen hatten, ob diese Areale jemals in Karten transformiert werden
sollen.

Da die Shapefiles hierfiir aber nicht vorliegen, glaube ich, und da v.a. auch die Daten noch fehlen, wiirde ich das jetzt erstmal auBBen vor lassen.

Viele Grif3e,
Andreas M.
#23 - 07/21/2020 03:42 PM - Andreas Kohlbecker

Hallo,

ich habe die Name area labels jetzt teilweise umbenannt, so wie es mir sinnvoll erschien. Ob die Shapefiles auch entspechend umbenannt werden
sollen, weif ich nicht.

Noch zu einigen Fragen:
Kasachstan: die vorhandenen Daten sollen bis auf weiteres nicht angezeigt werden;

Krim: eine Zuordnung zu Rf macht momentan keinen Sinn, die &lteren Daten (als die Krim noch Teil der Sowjetunion war) brauchen wir nicht mehr,
und in absehbarer Zukunft wollen wir die Krim separat behandeln. Wie gesagt, wir aggregieren ja auch die geographischen Einheiten Sa, Si oder Co
nicht zu It bzw. Ga;

zusétzliche Areale: grundsétzlich soll die feinere Aufteilung des Kaukasus im Kaukasus-Portal auch in Karten angezeigt werden. Dafiir wurden auch
schon Daten von den Armenierinnen hier eingegeben, ich weif3 aber gerade nicht, wo die geblieben sind. Gab es da nicht eine separate Instanz, wo
diese kleineren Areale eingegeben wurden? Die dann wieder mit Euro+Med zusammengefihrt werden sollten? Da weif3 ich den Stand nicht mehr.

Viele Grif3e,
Eckhard

#24 - 07/21/2020 04:04 PM - Andreas Kohlbecker

- Description updated

#25 - 07/21/2020 04:14 PM - Andreas Kohlbecker

- Description updated

#26 - 07/21/2020 04:23 PM - Andreas Kohlbecker

The latest run of the mapping service on edit-test (updated to the latest state of the production system) now reports only the following un-mapped
areas:

"Euro+Med [111bdf38-7a32-440a-9808-8aflc9e54b51]": "no match for EM",

"Former USSR [c4a898ce-0f32-44fe-aB8a3-278elladba53]": "no match for Rs",

"Former USSR: Crimea [2188e3a5-0446-47c8-bllb-b4b2b9%9a71c75]": "no match for Rs(K)",

"Former USSR: Russia Baltic [a575d608-dd53-4c01-b2af-5067d0711£f64]1": "no match for Rs(B)",
"Former USSR: Russia Central [dad4e9cc3-blcc-403a-81ff-bccb5d9fadbdl]": "no match for Rs(C)",
"Former USSR: Russia Northern [44f262e3-5091-4d28-8081-440d3978fb0b]": "no match for Rs(N)",
"Former USSR: Russia Southeast [7e0f8fa3-5db9-48f0-9fa8-87fcab3eaa53]": "no match for Rs(E)",
"Former USSR: Russia Southwest [efabc8fd-0b3c-475b-b532-elcalbalbdbb]": "no match for Rs(W)",
"Kazakhstan in Europe [f8abe715-d859-4b6f-b8fl-dbla847deac4]": "no match for Kz",

#27 - 07/21/2020 04:24 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Kohlbecker to Eckhard von Raab-Straube

- % Done changed from 40 to 50

| consider this as fully completed.

#28 - 07/22/2020 08:41 AM - Andreas Kohlbecker
- Related to task #9161: E+M shapefile with Kaukasus regions added

#29 - 08/19/2020 08:42 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17

#30 - 03/01/2021 11:29 AM - Andreas Miiller
- Related to bug #4409: fallback areas are not adressable in the shape file added

#31 - 03/01/2021 12:46 PM - Andreas Miiller

- Related to bug #9367: E+M shapefile Baltic subarea borders always visible and remove Georgian subdivisions added

#32 - 03/01/2021 12:51 PM - Andreas Miiller

There is another open issue reported in #9367
https://dev.e-taxonomy.eu/redmine/issues/9367

#33 - 03/01/2021 02:10 PM - Andreas Kohlbecker

- Description updated

#34 - 03/01/2021 02:11 PM - Andreas Miiller

- Copied from bug #9486: Fallback areas not handled in area hierarchy are not showing up correctly if subarea data exists added

#35 - 03/01/2021 02:19 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Eckhard von Raab-Straube to Andreas Kohlbecker

- % Done changed from 50 to 100

| think generally we can close this ticket. Open and new issues can be handled in separate tickets like #9367. Open issues related to handling of
fallback areas are handled in #9486.

#36 - 03/02/2021 07:43 PM - Andreas Miiller

- Related to feature request #5050: revise the subAreaPreference rule for filtering Distributions added

#37 - 03/02/2021 07:50 PM - Andreas Miiller

- Related to feature request #9502: Implement subarea preference rule and fallback areas for areas with complex hierarchy added

Files

picture346-1.png 49.4 KB 07/20/2020 Andreas Kohlbecker
